syntax_version: 2
debug: false

# TODO: are these necessary?
#jtag_module_name: JTAG
#jtag_instance_name: jtag

ir_width: 5
has_trstn: true
id_code:
  manufacturer_id: 1  # 11 bits
  part_number: 1      # 16 bits
  version: 1          #  4 bits

tdrs:
  - name: prog_iface_addr
    ir: 0x01
    width: 16
    chain_type: update
    description: "Programming interface write address"
    targets:
      # TODO: how to deal with bundle IO?
      # e.g. progmem.io.programming_iface.data
      - [progmem, wdata]
  - name: prog_iface_data
    ir: 0x02
    width: 8
    chain_type: capture
    description: "Programming interface write data"
  - name: prog_iface_write_en
    ir: 0x03
    width: 1
    chain_type: capture_update
    description: "Program memory write enable"
  - name: led
    ir: 0x04
    width: 1
    chain_type: shift
    targets:
      - [io, led]
  - name: led2
    ir: 0x05
    width: 4
    chain_type: capture
    targets:
      - [io, led2]
